%define upstream_name    KinoSearch1
%define upstream_version 1.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Surround highlight bits with tags
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::ParseXS)
BuildRequires:	perl(Lingua::Stem::Snowball)
BuildRequires:	perl(Lingua::StopWords)
BuildRequires:	perl(Module::Build::Compat)
BuildRequires:	perl-devel


%description
KinoSearch1 is a loose port of the Java search engine library Apache
Lucene, written in Perl and C. The archetypal application is website
search, but it can be put to many different uses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/lib/debug/*
/usr/src/debug/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-4.mga3
+ Revision: 368831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.10.0-3.mga3
+ Revision: 250812
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.10.0-2.mga2
+ Revision: 104736
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 33899
- mageia rebuild
- imported package perl-KinoSearch1

